> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Transfers

> Lists the wallet transfers of your company or one of your users, newest first (up to 10 results).

#### Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | `Bearer <access>` obtained from **POST /api/token**. |
| clientId | Path | Yes | Your client ID, from **GET /api/infoClient**. |
| userId | Path | Yes | Your client ID or the ID of one of your users (from **GET /api/b2b2b/&#123;clientId&#125;/users**). The user must be approved. |
| status | Query | No | Filter by status, e.g. `pending`, `completed`, `cancelled`. |
| startDate / finalDate | Query | No | Date range, format `YYYY-MM-DD`. |
| originWallet | Query | No | Filter by origin wallet ID. |

#### Response

An array of transfers with the same fields as **Create Wallet Transfer**.



## OpenAPI

````yaml /business/openapi.json get /api/b2b2b/{clientId}/wallet/transfer/{userId}
openapi: 3.1.0
info:
  title: Kravata Business API
  version: '1.0'
  description: >-
    Kravata Business API: on-ramp and off-ramp orders, accounts and wallets,
    users, custody wallets and transfers.
servers:
  - url: https://testapi.kravata.co
    description: Test
  - url: https://apiv2.kravata.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Wallets
  - name: Users
  - name: Ramp Orders
  - name: Custody
  - name: Webhooks
paths:
  /api/b2b2b/{clientId}/wallet/transfer/{userId}:
    get:
      tags:
        - Custody
      summary: Get Wallet Transfers
      description: >-
        Lists the wallet transfers of your company or one of your users, newest
        first (up to 10 results).


        #### Request


        | Field | Type | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | `Bearer <access>` obtained from **POST
        /api/token**. |

        | clientId | Path | Yes | Your client ID, from **GET /api/infoClient**.
        |

        | userId | Path | Yes | Your client ID or the ID of one of your users
        (from **GET /api/b2b2b/&#123;clientId&#125;/users**). The user must be
        approved. |

        | status | Query | No | Filter by status, e.g. `pending`, `completed`,
        `cancelled`. |

        | startDate / finalDate | Query | No | Date range, format `YYYY-MM-DD`.
        |

        | originWallet | Query | No | Filter by origin wallet ID. |


        #### Response


        An array of transfers with the same fields as **Create Wallet
        Transfer**.
      operationId: get-wallet-transfers
      parameters:
        - name: clientId
          in: path
          required: true
          description: ''
          schema:
            type: string
            format: uuid
        - name: userId
          in: path
          required: true
          description: ''
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    amountReceived:
                      type: integer
                    amountSent:
                      type: integer
                    clientId:
                      type: string
                    destinationClientId:
                      type: string
                    id:
                      type: string
                    isGroup:
                      type: boolean
                    operationStatus:
                      type: string
                    originClientId:
                      type: string
                    parentId: {}
                    registerDate:
                      type: string
                    status:
                      type: string
                    symbolTypeReceived:
                      type: string
                    symbolTypeSent:
                      type: string
                    trackType:
                      type: string
                    walletDestinationId:
                      type: string
                    walletOriginId:
                      type: string
                    walletTransferNumber:
                      type: string
                    walletTransferType:
                      type: string
              examples:
                api-b2b2b-wallet-transfer:
                  summary: api/b2b2b/wallet/transfer
                  value:
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: 45331eed-b1c7-4730-98fe-0bef3082bb3d
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-19 15:14:50.524265'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletOriginId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletTransferNumber: T000001
                      walletTransferType: transfer
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: 4b2f7a89-68df-43d9-b8a4-ddc9e738b763
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-19 15:29:31.804887'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletOriginId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletTransferNumber: T000001
                      walletTransferType: transfer
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: ed73ea75-267a-4ce3-b089-9c8724a6d62d
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-22 16:56:36.131753'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletOriginId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletTransferNumber: T000001
                      walletTransferType: transfer
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: db503a32-59c6-4595-8cf6-d9140c33aeb5
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-23 01:30:25.776065'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletOriginId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletTransferNumber: T000001
                      walletTransferType: transfer
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: 573cb3f6-4eb5-4ee7-990c-91663141474c
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-23 16:24:57.171618'
                      status: completed
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletOriginId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletTransferNumber: T000001
                      walletTransferType: transfer
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: 7c6bf0fb-9aef-475c-9668-c47483eeda95
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-23 16:58:12.970911'
                      status: completed
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletOriginId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletTransferNumber: T000001
                      walletTransferType: transfer
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: 2d88baa9-08a5-40d5-8c2f-d57dac6331b8
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-23 17:01:34.923248'
                      status: pending
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletOriginId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletTransferNumber: T000001
                      walletTransferType: transfer
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: 441184fc-b5aa-4200-8d63-06dbc7e01d7f
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-23 17:04:18.501661'
                      status: completed
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletOriginId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletTransferNumber: T000001
                      walletTransferType: transfer
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: bc56737d-73fa-4916-9969-731981b0d103
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-23 17:16:55.518078'
                      status: completed
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletOriginId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletTransferNumber: T000001
                      walletTransferType: transfer
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: 74062500-0111-48b6-880b-97fa07afdae7
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-23 17:19:32.126334'
                      status: completed
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletOriginId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletTransferNumber: T000001
                      walletTransferType: transfer
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: 147ae51b-5ce4-489c-9fee-364885c1481c
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-23 19:27:21.912926'
                      status: completed
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletOriginId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletTransferNumber: T000001
                      walletTransferType: transfer
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: 9ba728ff-44d5-434c-a2e4-5082daa4a102
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-23 22:36:14.233833'
                      status: completed
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletOriginId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletTransferNumber: T000001
                      walletTransferType: transfer
                    - amountReceived: 18
                      amountSent: 20
                      clientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      destinationClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      id: 3fec8fc9-ec38-4c19-9ffb-86f2a22bb600
                      isGroup: false
                      operationStatus: pending
                      originClientId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      parentId: null
                      registerDate: '2025-09-24 00:54:45.234568'
                      status: completed
                      symbolTypeReceived: USDC
                      symbolTypeSent: USDC
                      trackType: fasttrack
                      walletDestinationId: 18f5d977-988c-4a22-a366-e58a425c747e
                      walletOriginId: bcfb7a40-e614-4d9b-a810-d129194a91fc
                      walletTransferNumber: T000001
                      walletTransferType: transfer
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access token from POST /api/token (valid 5 minutes).

````